[git-buildpackage] Installation using pip fails

Peter Keresztes Schmidt carbenium at outlook.com
Tue Mar 19 15:56:14 CET 2019


Hi,

works like a charm. Thank you very much!

Peter

On 19.03.19 15:48, Guido G√ľnther wrote:
> Hi,
> On Sat, Mar 16, 2019 at 05:03:36PM +0000, Peter Keresztes Schmidt wrote:
>> Hi everyone,
>>
>> I'm encountering a problem when installing gbp using pip since version 0.9.10 and upwards.
>>
>> <snip>
>> $ pip3 install --user gbp
>>
>> Collecting gbp
>>   Using cached https://files.pythonhosted.org/packages/ea/82/c98eb2649c4e819aaac6c328524c2a1f3f9fdefabad95b5ebf886a2729c2/gbp-0.9.13.tar.gz
>>     Complete output from command python setup.py egg_info:
>>     Traceback (most recent call last):
>>       File "<string>", line 1, in <module>
>>       File "/tmp/pip-install-zbvugzil/gbp/setup.py", line 22, in <module>
>>         from version_parser import parse_and_fetch_version
>>     ModuleNotFoundError: No module named 'version_parser'
>> </snip>
>>
>> Looking at the tar file it seems version_parser.py is missing although it is present in the git repo.
>> Did something go wrong during the release process or is the error on my side?
> 
> I've moved the version_parser.py into setup.py itself so using `python3
> setup.py sdist` should get you a working tarball until the next release.
>  -- Guido
> 


More information about the git-buildpackage mailing list